html, body {
  margin: 0;
  width: 100%;
  height: 100%;
  font-family: sans-serif;
  box-sizing: border-box;
  overflow: hidden;
}

*, *:before, *:after {
  box-sizing: border-box;
}

input {
  height: 2em;
}

@keyframes move {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(0%);
  }
}

/* Blockly overrides */

.blocklyToolboxDiv {
  background: #fff !important;
  border-right: 1px solid grey;
}

.blocklyTreeRoot {
  padding: 0 !important;
}


.blocklyTreeSeparator {
 margin: 0 !important;
}

.blocklyTreeRow {
  margin: 0 !important;
  padding: 5px 10px 5px 0 !important;
  height: 30px !important;
  display: flex;
  align-items: center;
}

.blocklyTreeIcon {
  display: none;
}

.blocklyMainBackground {
  fill: #ECF0F1;
}

/* disable 3d effect of blocks */
.blocklyPathDark {
  display: none;
}

.blocklyPathLight {
  display: none;
}

.highlight {
  -webkit-box-shadow: 0px 0px 5px 0px rgba(225,255,0,1);
  -moz-box-shadow: 0px 0px 5px 0px rgba(225,255,0,1);
  box-shadow: 0px 0px 5px 0px rgba(225,255,0,1);
  -webkit-transition: box-shadow 2s;
  transition: box-shadow 2s;
}

.highlight.HL_on {
  -webkit-box-shadow: 0px 0px 20px 3px rgba(225,255,0,1);
  -moz-box-shadow: 0px 0px 20px 3px rgba(225,255,0,1);
  box-shadow: 0px 0px 20px 3px rgba(225,255,0,1);
}

sub, sup {
  /* Specified in % so that the sup/sup is the
     right size relative to the surrounding text */
  font-size: 75%;
  font-style: italic;

  /* Zero out the line-height so that it doesn't
     interfere with the positioning that follows */
  line-height: 0;

  /* Where the magic happens: makes all browsers position
     the sup/sup properly, relative to the surrounding text */
  position: relative;

  /* Note that if you're using Eric Meyer's reset.css, this
     is already set and you can remove this rule */
  vertical-align: baseline;
  
   /* text color */
  color: #fff766;
  
  /* margin */
  margin-left: 3px;  
}

sup {
  /* Move the superscripted text up */
  top: -0.5em;
}

sub {
  /* Move the subscripted text down, but only
     half as far down as the superscript moved up */
  bottom: -0.25em;
}
.fb-translater, .robotopia-footer {
    text-align: center;
}